[neon/infrastructure/pangea-data] imager/config-hooks-neon: old and new
Carlos De Maine
null at kde.org
Tue Aug 6 17:05:24 BST 2024
Git commit 7e2c568c4e419ec27c12f25261dced0dc9174050 by Carlos De Maine.
Committed on 06/08/2024 at 16:05.
Pushed by carlosdem into branch 'master'.
old and new
M +19 -7 imager/config-hooks-neon/repo.sh
https://invent.kde.org/neon/infrastructure/pangea-data/-/commit/7e2c568c4e419ec27c12f25261dced0dc9174050
diff --git a/imager/config-hooks-neon/repo.sh b/imager/config-hooks-neon/repo.sh
index 880ec4a..81184ed 100644
--- a/imager/config-hooks-neon/repo.sh
+++ b/imager/config-hooks-neon/repo.sh
@@ -1,11 +1,24 @@
-apt install -y dirmngr
-mkdir -vp -m 0700 config/archives
-cp /usr/share/keyrings/neon-archive-keyring.gpg config/archives/ubuntu-defaults.gpg
-
#if [ "$VERSION_CODENAME" = "jammy" ]; then
+apt install -y dirmngr gnupg1
+ARGS="--batch --verbose"
+GPG="gpg1"
+
+apt-key export '444D ABCF 3667 D028 3F89 4EDD E6D4 7362 5575 1E5D' | $GPG \
+ $ARGS \
+ --no-default-keyring \
+ --primary-keyring config/archives/ubuntu-defaults.key \
+ --import
+
+ # make sure _apt can read this file. it may get copied into the chroot
+ chmod 644 config/archives/ubuntu-defaults.gpg || true
+
echo "deb http://archive.neon.kde.org/${NEONARCHIVE} $SUITE main" >> config/archives/neon.list
echo "deb-src http://archive.neon.kde.org/${NEONARCHIVE} $SUITE main" >> config/archives/neon.list
+
#else
+
+curl -sS https://archive.neon.kde.org/public.key | tee /etc/apt/keyrings/neon-archive-keyring-pubkey.gpg
+
cat > config/archives/neon.sources << EOF
X-Repolib-Name: KDE neon
Enabled: yes
@@ -14,9 +27,8 @@ URIs: $MIRROR
Suites: $LB_DISTRIBUTION
Components: $LB_PARENT_ARCHIVE_AREAS
Architectures: $ARCH
-Signed-By: /usr/share/keyrings/neon-archive-keyring.gpg
+Signed-By: /etc/apt/keyrings/neon-archive-keyring-pubkey.gpg
EOF
#fi
-# make sure _apt can read this file. it may get copied into the chroot
-chmod 644 config/archives/ubuntu-defaults.gpg || true
+
More information about the Neon-commits
mailing list